# class Gem::SilentUI::NullIO

An absolutely silent `IO`.

### Public Instance Methods

flush() click to toggle source

    # File lib/rubygems/user_interaction.rb, line 646
    def flush
    end

gets(*args) click to toggle source

    # File lib/rubygems/user_interaction.rb, line 649
    def gets(*args)
    end

print(*args) click to toggle source

    # File lib/rubygems/user_interaction.rb, line 643
    def print(*args)
    end

puts(*args) click to toggle source

    # File lib/rubygems/user_interaction.rb, line 640
    def puts(*args)
    end

tty?() click to toggle source

    # File lib/rubygems/user_interaction.rb, line 652
    def tty?
      false
    end